index

Varkon MBS Programmers manual

# outstr - Procedure

## Description

Writes a string with optional formatting to an open file or pipe.

## Syntax

      outstr(f, s, width);

      file   f;
      string s;
      int    width;

## Principal parameters

f | - The name of a filevariable associated with a file open for write, append or update (W, A or U)
s | - The string to write

## Optional parameters

width | - Controls the amount of padding. If width is less than the actual space required no padding
| is performed. If width is larger than the space required the string is padded with blanks.
| The sign of width controls weather padding is done on the left side of the result (+) or the
| right side (-). If not specified, width is set to zero = no padding.

## Examples

      outstr(f, "ABCD"); => "ABCD"

      outstr(f, "ABCD", 10); => "      ABCD"

      outstr(f, "ABCD", -10); => "ABCD      "

## See also

outlin()

Varkon version 1.19C svn# 120